#include "./Zombie.hpp"
#include <iostream>
#include <string>

Zombie::Zombie()
{
	std::cout << "Zombie()" << std::endl;
}

Zombie::Zombie(const std::string& name)
{
	std::cout << "Zombie(" << name << ")" << std::endl;
	this->_name = name;
}

Zombie::Zombie(const Zombie& src)
{
	*this = src;
}

Zombie::~Zombie()
{
	std::cout << "~Zombie()" << std::endl;
}

Zombie& Zombie::operator=(const Zombie& src)
{
	this->_name = src._name;
	return *this;
}

void Zombie::announe()
{
	std::cout << this->_name << ": BraiiiiiiinnnzzzZ..." << std::endl;
}
