#include "HumanB.hpp"

#include <iostream>
#include <string>

HumanB::HumanB(const std::string& name)
{
	this->_name = name;
}

HumanB::HumanB()
{
	std::cout << "HumanB()" << std::endl;
}

HumanB::HumanB(const HumanB& src)
{
	*this = src;
}

HumanB::~HumanB()
{
	std::cout << "~HumanB()" << std::endl;
}

HumanB& HumanB::operator=(const HumanB& src)
{
	this->_weapon = src._weapon;
	this->_name = src._name;
	return *this;
}

void HumanB::attack()
{
	std::cout << this->_name << " attacks with their " << this->_weapon.getType() << std::endl;
}

void HumanB::setWeapon(const Weapon &weapon)
{
	this->_weapon = weapon;
}


